For the complete documentation index, see llms.txt. This page is also available as Markdown.

Case Ongoing

Filter cases by whether they're ongoing or closed

Get get by case ongoing status ID (integer).

GET https://clearinghouse.net/api/v2/case?case_ongoing=case_ongoing_id

Headers

Name
Type
Description

Authorization*

String

Authorization

Token XXXXXXXXXXX

where

XXXXXXXXXXX

is the token string

\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2/cases/?case_id=xyz
["API Error: zxy is not an integer."]
{
    "detail":"Authentication credentials were not provided."
}

Supported ongoing statuses (case_ongoing_id):

5020
No

5024

Perhaps, but long-dormant

5022

Unknown

5021

Yes

5023

No reason to think so

For more information on these statuses, see case_ongoing.

Example

https://clearinghouse.net/api/v2/case?case_ongoing=5023
import requests

url = "https://clearinghouse.net/api/v2/case?case_ongoing=5023"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)

Last updated